<?php
require_once("alipay_notify.php");
require_once("alipay_config.php");
$alipay = new alipay_notify($partner,$security_code,$sign_type,$_input_charset,$transport);
$verify_result = $alipay->notify_verify();
if($verify_result) {
	if(!is_object($alipay_manage)){
		$alipay_manage = new Alipay();
	}
	$input = $alipay_manage->input_alipay();
	if($input['is_success'] == 'T'){
		$notify_id = $input['notify_id'];//支付宝通知验证流水号
		$out_trade_no = $input['out_trade_no'];//本站交易流水号
		$seller_email = $input['seller_email'];//交易卖家EMAIL
		$trade_status = $input['trade_status'];//交易状态
		$trade_no = $input['trade_no'];//支付宝交易流水号
		$flag = fopen("http://notify.alipay.com/trade/notify_query.do?msg_id=$notify_id&email=$seller_email&order_no=$out_trade_no",'r');
		if($flag == true){/*交易信息正确,支付宝交易流水号入库，并且改变状态*/
			$alipay_manage->update_record($input);
			//这里放入你自定义代码,比如根据不同的trade_status进行不同操作
			log_result($trade_status); //将验证结果存入文件	
		}
		echo "success";
	}else {
		echo "支付失败";exit;
	}
}
else  {
	echo "fail";
	//这里放入你自定义代码，这里放入你自定义代码,比如根据不同的trade_status进行不同操作
	log_result ("verify_failed");
}
function  log_result($word) {
	$fp = fopen("log.txt","a");	
	flock($fp, LOCK_EX) ;
	fwrite($fp,$word."：执行日期：".strftime("%Y%m%d%H%I%S",time())."\t\n");
	flock($fp, LOCK_UN); 
	fclose($fp);
}
	
?>